#ifndef __METASERVER_H__
#define __METASERVER_H__

#include "netcon.h"

@interface metaserver : netcon
{
  Vector *games;
  time_t ko_time;
}

- init : (int) argc : (char **) argv;
- (void) loop;
- (void) handle_new_connection : (int) new_channel;
- (void) handle_gone_connection : (int) channel;
- (void) process_data : (int) channel : (char *) data : (int) length;
- (void) extract_and_update : (char *) b : (int) channel;
- (int) find_index_of_game : (game_info *) find_gi;
- (void) forget_old_games;
- (void) report;

@end


#endif /* __METASERVER_H__ */
